'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function GETRequestParser(request) {
    const [, searchParamsStr] = request.url.split('?');
    const searchParams = new URLSearchParams(searchParamsStr);
    const operationName = searchParams.get('operationName') || undefined;
    const query = searchParams.get('query') || undefined;
    const variables = searchParams.get('variables') || undefined;
    const extensions = searchParams.get('extensions') || undefined;
    return {
        operationName,
        query,
        variables: variables ? JSON.parse(variables) : undefined,
        extensions: extensions ? JSON.parse(extensions) : undefined,
    };
}
function useGETRequestParser() {
    return {
        onRequestParse({ request, setRequestParser }) {
            if (request.method === 'GET') {
                setRequestParser(GETRequestParser);
            }
        },
    };
}

exports.useGETRequestParser = useGETRequestParser;
